> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start MCP authorization

> Begin an MCP OAuth authorization. Redirects the browser to the Kaneo consent page, which then approves or denies the request.



## OpenAPI

````yaml /openapi.json get /mcp/authorize
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /mcp/authorize:
    get:
      tags:
        - MCP
      summary: Start MCP authorization
      description: >-
        Begin an MCP OAuth authorization. Redirects the browser to the Kaneo
        consent page, which then approves or denies the request.
      operationId: authorizeMcpOAuthClient
      parameters:
        - schema:
            type: string
            enum:
              - code
          required: true
          name: response_type
          in: query
        - schema:
            type: string
          required: true
          name: client_id
          in: query
        - schema:
            type: string
            maxLength: 2048
          required: true
          name: redirect_uri
          in: query
        - schema:
            type: string
            minLength: 1
            description: PKCE challenge; only S256 is accepted.
          required: true
          description: PKCE challenge; only S256 is accepted.
          name: code_challenge
          in: query
        - schema:
            type: string
            enum:
              - S256
          required: true
          name: code_challenge_method
          in: query
        - schema:
            type: string
          required: false
          name: state
          in: query
      responses:
        '302':
          description: Redirect to the Kaneo consent page
        '400':
          description: Invalid authorization request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthError'
      security: []
components:
  schemas:
    OAuthError:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````